/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class BagGearItem
    {
        public const string URL = "ui://hxr7rc7pnzfp1n";

        public Controller Have;
        public GTextField TextTitle;
        public GTextField TextDesc;
        public GButton BtnClose;
        public GImage Quality;
        public GLoader TagIcon;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            Have = GetController("Have");
            TextTitle = (GTextField)GetChild("TextTitle");
            TextDesc = (GTextField)GetChild("TextDesc");
            BtnClose = (GButton)GetChild("BtnClose");
            Quality = (GImage)GetChild("Quality");
            TagIcon = (GLoader)GetChild("TagIcon");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}